Subject: Re: [bug#64620] [PATCH] gnu: home: Add home-emacs-service-type.

From: "(" <[email-masked]>
Date: Thu, 24 Aug 2023 21:00:49 +0100

*Very* nice!  I think it would be nice to support a PACKAGES field with
a list of Guix packages to make available to Emacs, though that would
complicate the code a bit.

You'd probably have to do something like what I did[1], which is a
little hacky, and you'd want to somehow redirect the output from
building the Emacs profile to a log file in '$XDG_STATE_HOME/log/emacs',
but it'd let people use native-comp without the hassle of transforming
the packages themselves (with appropriate EMACS and NATIVE-COMP? fields,
of course :)) Also lets you isolate your emacs environment from your
regular environment, if you wanted to do that for... reasons.

If you'd rather not implement that for now, it's okay; I'm very much
willing to submit a followup if/when this is merged.

[1] https://git.sr.ht/~whereiseveryone/guixrus/tree/master/item/guixrus/home/services/emacs.scm#L113

  -- (